Bug 125103 - EDITING Writer: Input fields are not exported when odt is saved as docx
Summary: EDITING Writer: Input fields are not exported when odt is saved as docx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Fields
  Show dependency treegraph
 
Reported: 2019-05-03 11:20 UTC by Ilhan Yesil
Modified: 2019-12-04 21:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample odt file with an input field (9.59 KB, application/vnd.oasis.opendocument.text)
2019-05-03 11:21 UTC, Ilhan Yesil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2019-05-03 11:20:28 UTC
Description:
Input fields in an odt file are not exported to a docx file, when document is saved in the MS format.

Steps to Reproduce:
1. Open attached odt file, which includes an input field.
2. Save it as a docx file.
3. Close the docx file.
4. Open the docx file with MS Word.

Actual Results:
The input field is missing in the docx file

Expected Results:
The input field should be exported


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Ilhan Yesil 2019-05-03 11:21:09 UTC
Created attachment 151155 [details]
Sample odt file with an input field
Comment 2 Dieter 2019-05-03 16:00:05 UTC
I confirm it with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 421e6fc3cd2e6fe37afbef341e2d0ad7b8edde37
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-07_01:12:58
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

Additional information to step 4: the input field is also missing if you reopen the file in LO.
Comment 3 Commit Notification 2019-05-27 06:42:16 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/62aaaad156ef0daccd2680161ef8b9b99d8a7bc0%5E%21

tdf#125103 Writer: input fields will be exported to docx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2019-05-27 08:54:06 UTC
nice work!
Comment 5 Xisco Faulí 2019-09-26 10:24:35 UTC
A polite ping to Ilhan Yesil:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 6 Dieter 2019-10-04 13:14:00 UTC
Still present in

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 460908269972fd1f89312a1e62897ed1503e9e98
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-30_09:18:03
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

I opened file with MS Word 2016.
Comment 7 Xisco Faulí 2019-10-29 14:30:42 UTC
(In reply to Dieter Praas from comment #6)
> Still present in
> 
> Version: 6.4.0.0.alpha0+ (x64)
> Build ID: 460908269972fd1f89312a1e62897ed1503e9e98
> CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-30_09:18:03
> Locale: de-DE (de_DE); UI-Language: en-US
> Calc: threaded
> 
> I opened file with MS Word 2016.

It's fine in

Version: 6.4.0.0.alpha1+
Build ID: c4d760b9edf0399955d30a0dfbe5f7b1b1ed37cb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and MSO 2010
Comment 8 Timur 2019-11-01 11:02:56 UTC
When DOCX is opened with LO, field is not there. It is for DOC.
When DOCX is opened with MSO, field is there. But it's not for DOC.
I wouldn't call this fixed.
Comment 9 Jan-Marek Glogowski 2019-11-11 10:59:47 UTC
(In reply to Timur from comment #8)
> When DOCX is opened with LO, field is not there. It is for DOC.
> When DOCX is opened with MSO, field is there. But it's not for DOC.
> I wouldn't call this fixed.

Please see bug 128460. This is a different issue then the one described here and should now be really fixed, as I just pushed a patch for it.
Comment 10 Timur 2019-11-17 20:14:20 UTC
Input field seems to work now for DOCX both export and import. 
Only issue I see is that field from DOCX opens is MSO as not shaded until clicked. But same is for MSO's Fill-in fields.
Comment 11 Dieter 2019-12-04 21:21:29 UTC
(In reply to Timur from comment #10)
> Only issue I see is that field from DOCX opens is MSO as not shaded until
> clicked. But same is for MSO's Fill-in fields.

Might be a new report, if you think it's a bug.

I can also verify that the bug is fixed in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 89f0af144c18efafe2573801641689a1432c0cae
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

Ilhan, thanks for fixing it!